Summary: X terminal locking program with many screensavers
Name: xlockmore-GL
Version: 4.02
Release: 1
Source0: sunsite.unc.edu:/pub/Linux/X11/xutils/screensavers/xlockmore-4.02.tgz
Source1: m-redhat.xpm
Source2: m-redhat.xbm
Source3: s-redhat.xpm
Source4: s-redhat.xbm
Source5: xlock.pamd
Patch1: xlockmore-4.02-pam.patch
Patch2: xlockmore-4.01-fortune.patch
Patch3: xlockmore-4.02-redhat.patch
Patch4: xlockmore-4.02-manext.patch
Requires: pam >= 0.56
Copyright: MIT
Group: X11/Utilities
BuildRoot: /tmp/xlock-root

%changelog
* Sun Apr 27 1997 Christian 'Dr. Disk' Hechelmann <drdisk@ds9.au.s.shuttle.de>

- added BuildRoot
- added %changelog
- added %clean
- Set OPTDEF to -DUSE_SYSLOG -DUSE_MOUSE_MOTION -DUSE_MULTIPLE_ROOT
  -DSTAFF_FILE=\"/etc/xlock.staff\" -DSTAFF_NETGROUP=\"/etc/xlock.netgroup\"

%description
An enhanced version of the standard xlock program which allows you
to keep other users locked out of an X session while you are away
from the machine.  It runs one of many provided screensavers while
waiting for you to type your password, unlocking the session and
letting you at your X programs.
This version is compiled with -DUSE_SYSLOG -DUSE_MOUSE_MOTION
-DUSE_MULTIPLE_ROOT
-DSTAFF_FILE=\"/etc/xlock.staff\" -DSTAFF_NETGROUP=\"/etc/xlock.netgroup\"

%prep
%setup -n xlockmore-4.02
%patch1 -p1 -b .nopam
%patch2 -p1 -b .fortune
%patch3 -p1 -b .redhat
%patch4 -p1 -b .manext

cp $RPM_SOURCE_DIR/m-redhat.xpm pixmaps/m-redhat.xpm
cp $RPM_SOURCE_DIR/m-redhat.xbm bitmaps/m-redhat.xbm
cp $RPM_SOURCE_DIR/m-redhat.xpm pixmaps/l-redhat.xpm
cp $RPM_SOURCE_DIR/m-redhat.xbm bitmaps/l-redhat.xbm
cp $RPM_SOURCE_DIR/s-redhat.xpm pixmaps/s-redhat.xpm
cp $RPM_SOURCE_DIR/s-redhat.xbm bitmaps/s-redhat.xbm

%build
CC="gcc -pipe" CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/X11R6\
	--with-motif --enable-syslog --enable-multiple-root\
	--enable-mouse-motion \
	--enable-staff-file=/etc/xlock.staff\
	--enable-staff-netgroup=/etc/xlock.netgroup --enable-sproingies
make CC="gcc -pipe"

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
for i in etc/pam.d usr/X11R6/bin usr/X11R6/lib/X11/app-defaults\
	 usr/X11R6/man/man1;do
  mkdir -p $RPM_BUILD_ROOT/$i
done

make prefix=$RPM_BUILD_ROOT/usr/X11R6 install
install -m 644 -o 0 -g 0 $RPM_SOURCE_DIR/xlock.pamd $RPM_BUILD_ROOT/etc/pam.d/xlock
touch $RPM_BUILD_ROOT/etc/xlock.staff $RPM_BUILD_ROOT/etc/xlock.netgroup

%clean
rm -fr $RPM_BUILD_ROOT

%files
%doc docs/*
%config /etc/xlock.staff
%config /etc/xlock.netgroup
%config /etc/pam.d/xlock
%config /usr/X11R6/lib/X11/app-defaults/XLock
%config /usr/X11R6/lib/X11/app-defaults/XmLock
/usr/X11R6/bin/xlock
/usr/X11R6/bin/xmlock
/usr/X11R6/man/man1/xlock.1x

